IOP.cookiebanner = function () {
    var getCookie = function (name) {
        var cookies = document.cookie.split(";");
        for (var count = 0; count < cookies.length; count++) {
            var equalIndex = cookies[count].indexOf("=");
            var cookieName = cookies[count].substr(0, equalIndex);
            var cookieValue = cookies[count].substr(equalIndex + 1);
            cookieName = cookieName.replace(/^\s+|\s+$/g, "");
            if (cookieName == name) {
                return unescape(cookieValue);
            }
        }
    };

    var setCookie = function (cookieName, value) {
        var exdate = new Date();
        /*to set the expiry date after 20 years*/
        var days = 20 * 365;
        exdate.setDate(exdate.getDate() + days);
        var cookieValue = escape(value) + "; path=/" + "; expires=" + exdate.toUTCString();
        document.cookie = cookieName + "=" + cookieValue;
    };

    var checkCookie =function () {
        var cookie = getCookie("cookieBanner");
        if (cookie == null) {
            $('#cookieBanner').show();
            /*document.getElementById('cookieBanner').style.display='block';*/
        }
        if (cookie != null && cookie != "") {
            $('#cookieBanner').hide();
            /*document.getElementById('cookieBanner').style.display='none';*/
        }
    };

    var closeBanner = function () {
        setCookie("cookieBanner", "cookieBanner");
        checkCookie();
    };


    jQuery(document).ready(function(){
        checkCookie();
        jQuery('#cookieBannerClose').click(closeBanner);
    });

    return {
        getCookie : getCookie,
        setCookie : setCookie,
        checkCookie : checkCookie,
        closeBanner : closeBanner
    };
}();