IOP.video = function() {

    var handlePlay = function(e) {

        var host = "http://" + window.location.host;

        var pdfLink = $("a[class='icon pdf']");
        if (pdfLink) {
            var pdfHref = pdfLink.attr("href");
            if (pdfHref) {
                var pdfUrl = IOP.parseURL(host + pdfHref);
                var pdfUrlPath = pdfUrl.path;
        
                var pdfIndex = pdfUrlPath.indexOf('/videoViewed/pdf/');
                if (pdfIndex == -1) {
                    pdfUrl.path = pdfUrlPath.replace('/pdf/', '/videoViewed/pdf/');
                    var newPdfUrl = IOP.buildURL(pdfUrl);
                    pdfLink.attr("href", newPdfUrl);
                }
            }
        }

        var htmlLink = $("a[class='icon html']");
        if (htmlLink) {
            var htmlHref = htmlLink.attr("href");
            if (htmlHref) {
                var htmlUrl = IOP.parseURL(host + htmlHref);
                var htmlUrlPath = htmlUrl.path;
        
                if (htmlUrlPath.indexOf('/videoViewed/fulltext') == -1) {
                    htmlUrl.path = htmlUrlPath.replace('/fulltext', '/videoViewed/fulltext');
                    var newHtmlUrl = IOP.buildURL(htmlUrl);
                    htmlLink.attr("href", newHtmlUrl);
                }
            }
        }

        IOP.ajax.get({
            location: "/videoview.json"
        });
    };

    jQuery(document).ready(function() {
        $("a#videoDownload").text("Download this video");
        $("div#videoPlayer").css("display", "block");
    });

    return {
        handle: handlePlay
    };
}();
